### A free/open-source library for quantitative finance

Public Member Functions
AnalyticDiscreteGeometricAveragePriceAsianEngine Class Reference
Asian option engines

Pricing engine for European discrete geometric average price Asian. More...

`#include <ql/pricingengines/asian/analytic_discr_geom_av_price.hpp>`

Inheritance diagram for AnalyticDiscreteGeometricAveragePriceAsianEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticDiscreteGeometricAveragePriceAsianEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for European discrete geometric average price Asian.

This class implements a discrete geometric average price Asian option, with European exercise. The formula is from "Asian Option", E. Levy (1997) in "Exotic Options: The State of the Art", edited by L. Clewlow, C. Strickland, pag 65-97

Possible enhancements:
  implement correct theta, rho, and dividend-rho calculation

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the available greeks is tested against numerical calculations.